<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetEcoScoreReportItem_V2 StructType
 * @subpackage Structs
 */
class GetEcoScoreReportItem_V2 extends GetEcoScoreReportItem
{
    /**
     * The RegistrationDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $RegistrationDate;
    /**
     * Constructor method for GetEcoScoreReportItem_V2
     * @uses GetEcoScoreReportItem_V2::setRegistrationDate()
     * @param string $registrationDate
     */
    public function __construct($registrationDate = null)
    {
        $this
            ->setRegistrationDate($registrationDate);
    }
    /**
     * Get RegistrationDate value
     * @return string
     */
    public function getRegistrationDate()
    {
        return $this->RegistrationDate;
    }
    /**
     * Set RegistrationDate value
     * @param string $registrationDate
     * @return \StructType\GetEcoScoreReportItem_V2
     */
    public function setRegistrationDate($registrationDate = null)
    {
        // validation for constraint: string
        if (!is_null($registrationDate) && !is_string($registrationDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($registrationDate, true), gettype($registrationDate)), __LINE__);
        }
        $this->RegistrationDate = $registrationDate;
        return $this;
    }
}
